namespace Wizard;

public class GatheringInviteCancelTask : BaseTask
{
	public class GatheringInviteCancelTaskParam : BaseParam
	{
		public string invite_id;
	}

	public GatheringInviteCancelTask()
	{
		base.type = ApiType.Type.GatheringInviteCancel;
	}

	public void SetParameter(string inviteId)
	{
		GatheringInviteCancelTaskParam gatheringInviteCancelTaskParam = new GatheringInviteCancelTaskParam();
		gatheringInviteCancelTaskParam.invite_id = inviteId;
		base.Params = gatheringInviteCancelTaskParam;
	}
}
